<template>
  <div class="account-auction">
    <component :is="status" />
  </div>
</template>

<script>
  import {mapGetters} from "vuex";
  import StatusActive from './StatusActive/index';
  import StatusCancelled from './StatusCancelled';
  import StatusRejected from './StatusRejected';
  import StatusWinner from './StatusWinner';
  import StatusLoser from './StatusLoser';
  import STEPS from '@/constants/steps.js';

  export default {
    name: "auction",
    components: {
      StatusActive,
      StatusCancelled,
      StatusRejected,
      StatusWinner,
      StatusLoser
    },
    data() {
      return {
        STEP: STEPS
      }
    },
    computed: {
      ...mapGetters({
        order: 'account/order'
      }),
      status () {
        if (this.order.status === this.STEP.ACTIVE || this.order.status === null) {
          return StatusActive
        } else if (this.order.status === this.STEP.CANCELLED) {
          return StatusCancelled
        } else if (this.order.status === this.STEP.REJECTED) {
          return StatusRejected
        } else if (this.order.status === this.STEP.WINNER) {
          return StatusWinner
        } else {
          return StatusLoser
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  .account-auction {
    text-align: center;
  }
</style>
